Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window

From: martin rudalics <[email-masked]>
Date: Sat, 24 Mar 2012 14:42:09 +0100

> The patch below makes Emacs work as expected in this case.  Whether to
 > install this now or wait until after Emacs 24.1, is up to Stefan and
 > Chong.

Excellent!  This feature has been requested a number of times over the
past years (though nobody bothered to write a bug report before Ivan
helped out) and I'd strongly vote for including it in Emacs 24.1.

There's just one detail missing: A number of people asked for
highlighting _only_ the selected window and if a buffer appears in more
than one window the present mechanism won't help in this regard.  So
couldn't we have the mechanism also respect a window parameter
specifying some face as default window face with higher priority than
the face specified for the buffer?

Thanks for getting us this far, martin